"use strict";
const path = require("path");

module.exports = {
  devtool: "inline-source-map",
  entry: "./js/index.js",
  mode: "development",
  output: {
    filename: "main.js",
    publicPath: "/dist/",
    path: path.resolve(__dirname, "dist"),
  },
  module: {
    rules: [],
  },
  resolve: {
    extensions: [".js"],
  },
  devServer: {
    static: {
      directory: path.join(__dirname, "./"),
    },
    compress: true,
    port: 8080,
  },
};
